#include <iostream>

#include "complwindow.h"

int main(int argc, char** argv)
{
	Glib::RefPtr<Gnome::Glade::Xml> ref_glade;
	Gtk::Main kit(argc, argv);
	try
	{
		ref_glade = Gnome::Glade::Xml::create("complentry.glade");
	}
	catch (const Gnome::Glade::XmlError& ex)
	{
		std::cerr << "Caught exception: " << ex.what() << std::endl;
		return 1;
	}
	ComplWindow* p_window = 0;
	ref_glade->get_widget_derived("main_window", p_window);
	if (p_window)
	{
		kit.run(*p_window);
		delete p_window;
		p_window = 0;
		return 0;
	}
	return 1;
}
